## scheme9 2009.06.15

=== Makefile ===
# Scheme 9 from Empty Space Makefile.
# Nils M Holm, 2007,2008,2009

# Change at least this line:
PREFIX= /u

VERSION= 20090615

# Extras to be added to the heap image
EXTRA_STUFF=	-f contrib/help.scm \
		-f contrib/pretty-print.scm

# Set up environment to be used during the build process
BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:contrib

# Override default compiler and flags
#CC=	gcc
#CFLAGS=	-g -Wall -ansi -pedantic -O

BINDIR=	$(PREFIX)/bin
LIBDIR=	$(PREFIX)/share/s9fes
MANDIR=	$(PREFIX)/man/man1

# BITS_PER_WORD_64	use 64-bit bignum arithmetics
# NO_SIGNALS		disable POSIX signal handlers
# IMAGEFILE		default image file name
# LIBRARY		default library source file
# DEFAULT_LIBRARY_PATH	default search path for LOCATE-FILE

# Which OS are we using (unix or plan9)?
OSDEF=	-Dunix

DEFS=	$(OSDEF) \
	-DDEFAULT_LIBRARY_PATH="\".:~/s9fes:$(LIBDIR):$(LIBDIR)/contrib\""

EXTINI=	unix_init()
EXTOBJ=	unix.o
EXTDEF=	-DIMAGEFILE="\"s9e.image\"" -DLIBRARY="\"s9e.scm\""

all:	s9 s9.image s9.1.gz # all-s9e

all-s9e:	s9e s9e.image s9e.1.gz

s9:	s9.c s9.h
	$(CC) $(CFLAGS) $(DEFS) -o s9 s9.c

s9.image:	s9 s9.scm
	rm -f s9.image && $(BUILD_ENV) ./s9 -n $(EXTRA_STUFF) -d s9.image

s9e:	s9e.o $(EXTOBJ)
	$(CC) $(CFLAGS) -o s9e s9e.o $(EXTOBJ)

s9e.scm:	s9.scm
	ln -s s9.scm s9e.scm

s9e.o:	s9.c
	$(CC) $(CFLAGS) $(DEFS) -I . -DEXTENSIONS="$(EXTINI)" $(EXTDEF) \
		-o s9e.o -c s9.c

unix.o:	ext/unix.c
	$(CC) $(CFLAGS) $(OSDEF) -I . -o unix.o -c ext/unix.c

s9e.image:	s9e s9e.scm ext/system.scm
	rm -f s9e.image && \
	$(BUILD_ENV) ./s9e -n -f ext/system.scm $(EXTRA_STUFF) -d s9e.image

s9.1.gz:	s9.1
	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz

s9e.1.gz:	s9e.1
	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9e.1 |gzip -9 >s9e.1.gz

lint:
	gcc -g -Wall -ansi -pedantic s9.c && rm a.out

test:	s9 s9.image
	$(BUILD_ENV) ./s9 -nf test.scm

libtest:	s9 s9.image
	$(BUILD_ENV) sh libtest.sh

# old version of install(1) may need -c
#C=-c
install:	s9 s9.scm s9.image s9.1.gz
	install -d -m 0755 $(BINDIR)
	install -d -m 0755 $(LIBDIR)
	install -d -m 0755 $(LIBDIR)/contrib
	install -d -m 0755 $(LIBDIR)/help
	install -d -m 0755 $(MANDIR)
	install $C -m 0755 s9 $(BINDIR)
	strip $(BINDIR)/s9
	install $C -m 0644 s9.scm $(LIBDIR)
	install $C -m 0644 s9.image $(LIBDIR)
	install $C -m 0644 lib/* $(LIBDIR)
	install $C -m 0644 contrib/* $(LIBDIR)/contrib
	install $C -m 0644 s9.1.gz $(MANDIR)
	install $C -m 0644 help/* $(LIBDIR)/help

install-s9e:	install s9e s9e.scm s9e.image s9e.1.gz
	install $C -m 0755 s9e $(BINDIR)
	strip $(BINDIR)/s9e
	install $C -m 0644 s9e.scm $(LIBDIR)/s9e.scm
	install $C -m 0644 s9e.image $(LIBDIR)
	install $C -m 0644 ext/*.scm $(LIBDIR)
	install $C -m 0644 s9e.1.gz $(MANDIR)

deinstall:
	rm $(LIBDIR)/contrib/* && rmdir $(LIBDIR)/contrib
	rm $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
	rm $(LIBDIR)/* && rmdir $(LIBDIR)
	rm $(BINDIR)/s9
	rm $(BINDIR)/s9e
	-rmdir $(BINDIR)
	rm $(MANDIR)/s9.1.gz
	-rmdir $(MANDIR)

clean:
	rm -f s9 s9e s9e.scm s9.image s9e.image s9.1.gz s9e.1.gz s9.1.txt \
		*.o *.core core s9.A.tgz s9fes-$(VERSION).tar.gz __tmp[12]__ \
		__testfile__ rpp CHANGES.html LICENSE.html README.html \
		s9.1.html s9.exe s9e.exe

# --- end of distribution Makefile ---

## scheme9 2009.09.06

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Change at least this line:
 PREFIX= /u
 
-VERSION= 20090615
+VERSION= 20090906
 
 # Extras to be added to the heap image
 EXTRA_STUFF=	-f contrib/help.scm \
@@ -30,16 +30,17 @@
 # Which OS are we using (unix or plan9)?
 OSDEF=	-Dunix
 
+# For the S9fES Scientific Calculator; uncomment, if needed
+X11BASE=	/usr/X11R6
+
 DEFS=	$(OSDEF) \
 	-DDEFAULT_LIBRARY_PATH="\".:~/s9fes:$(LIBDIR):$(LIBDIR)/contrib\""
-
-EXTINI=	unix_init()
-EXTOBJ=	unix.o
-EXTDEF=	-DIMAGEFILE="\"s9e.image\"" -DLIBRARY="\"s9e.scm\""
 
 all:	s9 s9.image s9.1.gz # all-s9e
 
 all-s9e:	s9e s9e.image s9e.1.gz
+
+all-s9sc:	s9sc s9sc.image sys6x12.vf s9sc.1.gz
 
 s9:	s9.c s9.h
 	$(CC) $(CFLAGS) $(DEFS) -o s9 s9.c
@@ -47,28 +48,56 @@
 s9.image:	s9 s9.scm
 	rm -f s9.image && $(BUILD_ENV) ./s9 -n $(EXTRA_STUFF) -d s9.image
 
-s9e:	s9e.o $(EXTOBJ)
-	$(CC) $(CFLAGS) -o s9e s9e.o $(EXTOBJ)
+s9.1.gz:	s9.1
+	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz
+
+s9e:	s9e.o unix.o
+	$(CC) $(CFLAGS) -o s9e s9e.o unix.o
 
 s9e.scm:	s9.scm
 	ln -s s9.scm s9e.scm
 
 s9e.o:	s9.c
-	$(CC) $(CFLAGS) $(DEFS) -I . -DEXTENSIONS="$(EXTINI)" $(EXTDEF) \
+	$(CC) $(CFLAGS) $(DEFS) -I . -DEXTENSIONS="unix_init()" \
+		-DIMAGEFILE="\"s9e.image\"" -DLIBRARY="\"s9e.scm\"" \
 		-o s9e.o -c s9.c
 
 unix.o:	ext/unix.c
 	$(CC) $(CFLAGS) $(OSDEF) -I . -o unix.o -c ext/unix.c
 
-s9e.image:	s9e s9e.scm ext/system.scm
+s9e.image:	s9e s9e.scm ext/unix.scm
 	rm -f s9e.image && \
-	$(BUILD_ENV) ./s9e -n -f ext/system.scm $(EXTRA_STUFF) -d s9e.image
-
-s9.1.gz:	s9.1
-	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz
+	$(BUILD_ENV) ./s9e -n -f ext/unix.scm $(EXTRA_STUFF) -d s9e.image
 
 s9e.1.gz:	s9e.1
 	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9e.1 |gzip -9 >s9e.1.gz
+
+s9sc:	s9sc.o sc.o
+	$(CC) $(CFLAGS) -o s9sc s9sc.o sc.o -L $(X11BASE)/lib -lX11
+
+s9sc.scm:	s9.scm
+	ln -s s9.scm s9sc.scm
+
+s9sc.o:	s9.c
+	$(CC) $(CFLAGS) $(DEFS) -I . -DEXTENSIONS="sc_init()" \
+		-DIMAGEFILE="\"s9sc.image\"" -DLIBRARY="\"s9sc.scm\"" \
+		-o s9sc.o -c s9.c
+
+sc.o:	ext/sc.c
+	$(CC) $(CFLAGS) $(OSDEF) -I $(X11BASE)/include -I . -o sc.o -c ext/sc.c
+
+sys6x12.vf:	ext/sys6x12.vfd mkvfont
+	./mkvfont 6 12 ext/sys6x12.vfd sys6x12.vf
+
+mkvfont:	ext/mkvfont.c
+	$(CC) $(CFLAGS) -o mkvfont ext/mkvfont.c
+
+s9sc.image:	s9sc s9sc.scm ext/sc.scm
+	rm -f s9sc.image && \
+	$(BUILD_ENV) ./s9sc -n -f ext/sc.scm $(EXTRA_STUFF) -d s9sc.image
+
+s9sc.1.gz:	s9sc.1
+	gzip -9c <s9sc.1 >s9sc.1.gz
 
 lint:
 	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
@@ -99,10 +128,19 @@
 install-s9e:	install s9e s9e.scm s9e.image s9e.1.gz
 	install $C -m 0755 s9e $(BINDIR)
 	strip $(BINDIR)/s9e
-	install $C -m 0644 s9e.scm $(LIBDIR)/s9e.scm
+	install $C -m 0644 s9e.scm $(LIBDIR)
 	install $C -m 0644 s9e.image $(LIBDIR)
-	install $C -m 0644 ext/*.scm $(LIBDIR)
+	install $C -m 0644 ext/unix.scm $(LIBDIR)
 	install $C -m 0644 s9e.1.gz $(MANDIR)
+
+install-s9sc:	install s9sc s9sc.scm s9sc.image sys6x12.vf s9sc.1.gz
+	install $C -m 0755 s9sc $(BINDIR)
+	strip $(BINDIR)/s9sc
+	install $C -m 0644 s9sc.scm $(LIBDIR)
+	install $C -m 0644 sys6x12.vf $(LIBDIR)
+	install $C -m 0644 s9sc.image $(LIBDIR)
+	install $C -m 0644 ext/sc.scm $(LIBDIR)
+	install $C -m 0644 s9sc.1.gz $(MANDIR)
 
 deinstall:
 	rm $(LIBDIR)/contrib/* && rmdir $(LIBDIR)/contrib
@@ -115,8 +153,9 @@
 	-rmdir $(MANDIR)
 
 clean:
-	rm -f s9 s9e s9e.scm s9.image s9e.image s9.1.gz s9e.1.gz s9.1.txt \
-		*.o *.core core s9.A.tgz s9fes-$(VERSION).tar.gz __tmp[12]__ \
+	rm -f s9 s9.image s9.1.gz s9.s.txt s9e s9e.scm s9e.image s9e.1.gz \
+		s9sc s9sc.scm s9sc.image s9sc.1.gz mkvfont sys6x12.vf \
+		*.o *.core core s9.C.tgz s9fes-$(VERSION).tar.gz __tmp[12]__ \
 		__testfile__ rpp CHANGES.html LICENSE.html README.html \
 		s9.1.html s9.exe s9e.exe

=== debian/changelog ===
scheme9 (2009.09.06-3) unstable; urgency=low

  * bump deb standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:41 +0000

scheme9 (2009.09.06-2) unstable; urgency=low

  * Default definition for MAXPATHLEN (needed by Hurd port)
  * Tweak two tiny typos

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Jan 2010 18:16:13 +0100

scheme9 (2009.09.06-1) unstable; urgency=low

  * New Upstream Version
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Sep 2009 14:02:52 -0400

scheme9 (2009.08.14-2) unstable; urgency=low

  * Deal w/ missing -Dunix for arch powerpc

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Aug 2009 19:32:46 +0200

scheme9 (2009.08.14-1) unstable; urgency=low

  * New Upstream Version
  * fix missing -Dunix in Makefile for sc.o

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 18 Aug 2009 08:52:45 +0200

scheme9 (2009.08.11-2) unstable; urgency=low

  * s9sc, graphical system now included, needs X11 to build (closes: #541720)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Aug 2009 08:41:20 +0200

scheme9 (2009.08.11-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 14 Aug 2009 20:18:29 +0200

scheme9 (2009.07.25-1) unstable; urgency=low

  * New Upstream Version
  * fix fatal s9sc typo in new upstream Makefile
  * squash some compiler warnings in building s9sc

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 25 Jul 2009 17:14:28 +0200

scheme9 (2009.07.08-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2009 20:35:40 +0100

scheme9 (2009.07.05-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jul 2009 09:47:06 +0200

scheme9 (2009.07.04-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 04 Jul 2009 11:37:29 +0200

scheme9 (2009.07.01-1) unstable; urgency=low

  * rev deb std
  * fix minor Makefile bug in processing manpage .in files
  * quash s9(1) warning via aggressive soft hyphenation of default search path
  * distinguish unicode hyphen and ascii dash in man pages
  * New Upstream Version
  * upstream patch

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jul 2009 21:15:40 +0200

scheme9 (2009.06.26-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Jun 2009 21:50:12 +0100

scheme9 (2009.06.25-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Jun 2009 18:11:11 +0200

scheme9 (2009.06.15-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Jun 2009 15:58:45 +0100

scheme9 (2009.06.08-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Jun 2009 15:44:54 +0100

scheme9 (2009.06.07-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2009 14:12:53 +0100

scheme9 (2009.06.06-1) unstable; urgency=low

  * New Upstream Version
  * work around s2 = 0.0 reader bug, add test case for this
  * missing prototype for forward ref of bignum_abs() in s9.c
  * merge upstream patch for s2 reader bug

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2009 08:34:33 +0100

scheme9 (2009.06.05-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 05 Jun 2009 13:15:04 +0100

scheme9 (2009.06.04-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Jun 2009 13:51:28 +0100

scheme9 (2009.06.03-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Jun 2009 15:23:39 +0100

scheme9 (2009.06.02-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jun 2009 13:34:35 +0100

scheme9 (2009.06.01-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 01 Jun 2009 15:17:00 +0100

scheme9 (2009.05.31-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 31 May 2009 09:49:32 +0100

scheme9 (2009.05.28-2) unstable; urgency=low

  * Enable compiler warnings and optimization
  * Flush unused variable x in print_real()
  * Be consistent about 2nd arg to make_real, for 64-bit machines (closes: #530864)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 May 2009 14:44:50 +0100

scheme9 (2009.05.28-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 May 2009 10:16:51 +0100

scheme9 (2009.05.26-1) unstable; urgency=low

  * New Upstream Version
  * Avoid gratuitous differences with upstream Makefile

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 May 2009 15:16:20 +0100

scheme9 (2009.05.23-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 May 2009 19:38:30 +0100

scheme9 (2009.05.22-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 May 2009 15:38:03 +0100

scheme9 (2009.05.20-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 May 2009 11:25:29 +0100

scheme9 (2009.05.17-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2009 10:24:33 +0100

scheme9 (2009.05.16-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 16 May 2009 16:30:47 +0100

scheme9 (2009.05.14-1) unstable; urgency=low

  * New Upstream Version
  * Makefile portability and correctness tweaks

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 May 2009 10:20:23 +0100

scheme9 (2009.05.13-2) unstable; urgency=low

  * Use portable automatic variables in Makefile where possible


=== debian/control ===
Source: scheme9
Section: lisp
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7.2.5), libx11-dev
Standards-Version: 3.8.4
Homepage: http://t3x.org/s9fes/
Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git

Package: scheme9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scheme 9 from Empty Space R4RS Scheme interpreter
 Scheme 9 from Empty Space is an interpreter for a broad subset of
 R4RS Scheme, and runs in many popular environments, including
 Linux, *BSD, the unmentionable horror, and Plan 9.  The S9fES code
 strives to be simple and comprehensible.  It is particularly
 interesting to people who want to (a) try Scheme without having to
 jump through too many hoops (S9fES is very portable); or (b) study
 the implementation of Scheme (in a language other than Scheme).  A
 free online textbook describing the system is also available.

=== debian/rules ===
#!/usr/bin/make -f

# binary-arch binary-indep binary install build clean:
%:
	dh $@

override_dh_auto_configure:
	echo Calling ./configure unnecessary as ./Makefile already patched for debian.

override_dh_auto_build:
	dh_auto_build -- prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
version=3
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tar\.gz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)(.+)\.tar\.gz

## scheme9 2010.11.13

=== Makefile ===
# Scheme 9 from Empty Space
# Makefile (obviously)
# By Nils M Holm, 2007-2010

# Change at least this line:
PREFIX= /u

# Uncomment these to include the Unix extensions
EXTRA_SCM+=	-l ext/unix.scm
EXTRA_OBJS+=	unix.o
EXTRA_INIT+=	sys_init();
EXTRA_LIBS+=

# Uncomment these to include the Curses extensions
EXTRA_SCM+=	-l ext/curses.scm
EXTRA_OBJS+=	curses.o
EXTRA_INIT+=	curs_init();
EXTRA_LIBS+=	-lcurses

# Uncomment this and define BIG_REAL below to include
# real number arithmetics
EXTRA_SCM+=	-l s9-real.scm

# Set up environment to be used during the build process
BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib

# Override default compiler and flags
CC=	gcc
CFLAGS=	-g -Wall -ansi -pedantic -O2

# Where to install the stuff
BINDIR=	$(PREFIX)/bin
LIBDIR=	$(PREFIX)/share/s9fes
MANDIR=	$(PREFIX)/man/man1

# Which OS are we using (unix or plan9)?
OSDEF=	-Dunix

# Options to be added to $(DEFS)
#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
#	-DNO_SIGNALS		# disable POSIX signal handlers
#	-DLIBRARY="\"file\""	# default library source file
#	-DDEFAULT_LIBRARY_PATH="\"dir:...\""
#				# default search path for LOCATE-FILE
#	-DNETWORK		# include socket code in the Unix extension
#	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
#				# (*requires* the Curses extension)
#	-DBIG_REAL		# Enable big real arithmetics
#				# (requires "s9-real.scm" EXTRA_SCM, above)

DEFS=	$(OSDEF) \
	-DDEFAULT_LIBRARY_PATH="\".:~/s9fes:$(LIBDIR)\"" \
	-DEXTENSIONS="$(EXTRA_INIT)" \
	-DNETWORK -DCURSES_RESET \
	-DBIG_REAL

all:	s9 s9.image s9.1.gz arse-core.image s9.1.txt lib/syntax-rules.scm \
		lib/matcher.scm

s9:	s9.o s9.h $(EXTRA_OBJS)
	$(CC) -o s9 s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)

s9.o:	s9.c s9-real.c s9.h
	$(CC) -o s9.o $(CFLAGS) $(DEFS) -c s9.c


s9.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm config.scm
	rm -f s9.image && \
		$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -l config.scm -d s9.image

s9.1.gz:	s9.1
	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz

unix.o:	ext/unix.c s9.h
	$(CC) $(CFLAGS) $(DEFS) -I . -o unix.o -c ext/unix.c

curses.o:	ext/curses.c s9.h
	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c

lint:
	gcc -g -Wall -ansi -pedantic s9.c && rm a.out

test:	s9 test.image
	$(BUILD_ENV) ./s9 !test -f util/test.scm

libtest:	s9 test.image
	$(BUILD_ENV) sh util/libtest.sh

systest:	s9 s9.image
	$(BUILD_ENV) ./s9 -f util/systest.scm

srtest:	s9 test.image
	$(BUILD_ENV) ./s9 !test -f util/srtest.scm

realtest:	s9 test.image
	$(BUILD_ENV) ./s9 !test -f util/realtest.scm

test.image:	s9 s9.scm s9-real.scm
	$(BUILD_ENV) ./s9 !test -n $(EXTRA_SCM) -d test.image

tests:
	make test
	make srtest
	make libtest
	make systest

install:	install-s9 install-util

# old version of install(1) may need -c
#C=-c
install-s9:	s9 s9.scm s9.image s9.1.gz
	install -d -m 0755 $(BINDIR)
	install -d -m 0755 $(LIBDIR)
	install -d -m 0755 $(LIBDIR)/help
	install -d -m 0755 $(MANDIR)
	install $C -m 0755 s9 $(BINDIR)
	strip $(BINDIR)/s9
	install $C -m 0644 s9.scm $(LIBDIR)
	install $C -m 0644 s9.image $(LIBDIR)
	install $C -m 0644 lib/* $(LIBDIR)
	install $C -m 0644 ext/*.scm $(LIBDIR)
	install $C -m 0644 contrib/* $(LIBDIR)
	install $C -m 0644 s9.1.gz $(MANDIR)
	install $C -m 0644 help/* $(LIBDIR)/help
	install $C -m 0755 util/make-help-links $(LIBDIR)/help
	(cd $(LIBDIR)/help && ./make-help-links && rm make-help-links)

install-util:	install-arse
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/s9help.scm >$(BINDIR)/s9help
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/s9resolve.scm >$(BINDIR)/s9resolve
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/scm2html1.scm >$(BINDIR)/scm2html
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/scmpp.scm >$(BINDIR)/scmpp
	-chmod +x $(BINDIR)/s9help	\
		  $(BINDIR)/s9resolve	\
		  $(BINDIR)/scm2html	\
		  $(BINDIR)/scmpp

arse-core.image: contrib/arse.scm ext/unix.scm ext/curses.scm
	rm -f arse-core.image
	$(BUILD_ENV) ./s9 !arse-core -n -l ext/unix.scm -l ext/curses.scm \
		-l contrib/arse.scm -d arse-core.image

install-arse: arse-core.image
	cp arse-core.image $(LIBDIR)
	cp contrib/arse.help $(LIBDIR)
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
	    -e "s|^#! \(.*\)/s9|#! \1/arse-core|"	\
	    -e '/arse.scm"/d' \
		<prog/arse1.scm >$(BINDIR)/arse
	ln -fs $(BINDIR)/s9 $(BINDIR)/arse-core
	-chmod +x $(BINDIR)/arse

install-programs:
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/advgen.scm >$(BINDIR)/advgen
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/c2html1.scm >$(BINDIR)/c2html
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/cols.scm >$(BINDIR)/cols
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/dupes.scm >$(BINDIR)/dupes
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/edoc.scm >$(BINDIR)/edoc
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/htmlify.scm >$(BINDIR)/htmlify
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/s9hts.scm >$(BINDIR)/s9hts
	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
		<prog/soccat.scm >$(BINDIR)/soccat
	-chmod +x $(BINDIR)/advgen	\
		  $(BINDIR)/c2html	\
		  $(BINDIR)/cols	\
		  $(BINDIR)/dupes	\
		  $(BINDIR)/edoc	\
		  $(BINDIR)/htmlify	\
		  $(BINDIR)/s9hts	\
		  $(BINDIR)/soccat

deinstall:
	rm -f $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
	rm -f $(LIBDIR)/* && rmdir $(LIBDIR)
	rm -f $(BINDIR)/s9
	-rmdir $(BINDIR)
	-rmdir $(MANDIR)

deinstall-util:
	rm -f $(BINDIR)/arse		\
	      $(BINDIR)/s9help		\
	      $(BINDIR)/s9resolve	\
	      $(BINDIR)/scm2html	\
	      $(BINDIR)/scmpp

deinstall-programs:
	rm -f $(BINDIR)/advgen		\
	      $(BINDIR)/dupes		\
	      $(BINDIR)/htmlify		\
	      $(BINDIR)/soccat

tabs:
	@find . -name \*.scm -exec grep -l "	" {} \;

cd:
	s9 -f util/check-descr.scm

clean:
	rm -f s9 s9.image test.image arse-core.image s9.1.gz *.o *.core \
		CATEGORIES.html core s9fes.tgz __testfile__ 

new-version:
	vi edoc/s9.c.edoc CHANGES
	make s9.c

update-library:
	vi util/make-docs
	util/make-docs
	vi util/make-help-links \
		util/descriptions \
		util/categories.html
	clear
	@echo "Now copy the new help pages from help-new to help"
	@echo "and run (cd help; ../util/make-help-links)."

s9.1.txt:	s9.1
	cc -o rpp util/rpp.c
	nroff s9.1 | ./rpp -a >s9.1.txt
	rm -f rpp

docs:	lib ext contrib
	util/make-docs

webdump:
	util/make-html

advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro \
		prog/adventure.imprint
	 prog/advgen.scm -rv \
		-P terminal:session \
		-e prog/adventure.imprint \
		-i prog/adventure.intro \
		-t "The Quest for S9fES" \
		-y s9.css \
		prog/adventure.adv
	cp MASCOT.jpg util/s9.css advdump

csums:
	txsum -u <_checksums >_checksums.new
	mv _checksums.new _checksums

mksums:	clean
	find . -type f | grep -v _checksums | txsum -m >_checksums

stripped-arc:	clean s9.1.txt
	mv Makefile Makefile.ORIG

=== freebsd-port/Makefile ===
# New ports collection makefile for:	s9fes
# Date created:				23 February 2009
# Whom:					Nils M Holm <nmh@t3x.org>
#
# $FreeBSD: ports/lang/s9fes/Makefile,v 1.14 2010/09/11 19:40:17 makc Exp $
#

PORTNAME=	s9fes
PORTVERSION=	20101004
CATEGORIES=	lang scheme
MASTER_SITES=	http://www.t3x.org/misc/

MAINTAINER=	nmh@t3x.org
COMMENT=	A portable Scheme interpreter with a Unix interface
LICENSE=	public-domain

WRKSRC=		${WRKDIR}/s9

MAN1=		s9.1
MANCOMPRESSED=	yes

post-patch:
	${REINPLACE_CMD} -e "s,PREFIX=.*,PREFIX=${PREFIX}," ${WRKSRC}/Makefile
	${REINPLACE_CMD} -e "s,LIBDIR=.*,LIBDIR=${DATADIR}," ${WRKSRC}/Makefile

.include <bsd.port.mk>

=== debian/changelog ===
scheme9 (2010.11.13-2) unstable; urgency=low

  * curses!  foiled again.  (closes: #635869)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 29 Jul 2011 13:46:35 +0100

scheme9 (2010.11.13-1) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel (debian/rules)
  * dh 8 (debian/compat, debian/control)
  * new upstream version
  * tiny man page tweaks
  * quilt patches:
    - migrate some modifications (all but s9(1) man page)
    - parallel safe tweaks to Makefile
    - test script search path and parallelisation
    - silence minor GCC warning

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 28 Jul 2011 15:23:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: lisp
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7.2.5), libx11-dev
-Standards-Version: 3.8.4
-Homepage: http://t3x.org/s9fes/
+Build-Depends: debhelper (>= 8),
+	libncurses5-dev | libncurses-dev | ncurses-dev,
+	libx11-dev
+Standards-Version: 3.9.2
+Homepage: http://t3x.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git

=== debian/rules ===
#!/usr/bin/make -f

# binary-arch binary-indep binary install build clean:
%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- prefix=/usr mandir=/usr/share/man

override_dh_auto_install:
	dh_auto_install -- prefix=/usr mandir=/usr/share/man

## scheme9 2012.07.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2010
+# By Nils M Holm, 2007-2012
+# Placed in the Public Domain.
 
 # Change at least this line:
 PREFIX= /u
@@ -54,7 +55,7 @@
 	-DNETWORK -DCURSES_RESET \
 	-DBIG_REAL
 
-all:	s9 s9.image s9.1.gz arse-core.image s9.1.txt lib/syntax-rules.scm \
+all:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
 		lib/matcher.scm
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
@@ -81,7 +82,7 @@
 	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
 
 test:	s9 test.image
-	$(BUILD_ENV) ./s9 !test -f util/test.scm
+	$(BUILD_ENV) ./s9 -i test -f util/test.scm
 
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
@@ -90,16 +91,17 @@
 	$(BUILD_ENV) ./s9 -f util/systest.scm
 
 srtest:	s9 test.image
-	$(BUILD_ENV) ./s9 !test -f util/srtest.scm
+	$(BUILD_ENV) ./s9 -i test -f util/srtest.scm
 
 realtest:	s9 test.image
-	$(BUILD_ENV) ./s9 !test -f util/realtest.scm
+	$(BUILD_ENV) ./s9 -i test -f util/realtest.scm
 
 test.image:	s9 s9.scm s9-real.scm
-	$(BUILD_ENV) ./s9 !test -n $(EXTRA_SCM) -d test.image
+	$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -d test.image
 
 tests:
 	make test
+	make realtest
 	make srtest
 	make libtest
 	make systest
@@ -125,7 +127,7 @@
 	install $C -m 0755 util/make-help-links $(LIBDIR)/help
 	(cd $(LIBDIR)/help && ./make-help-links && rm make-help-links)
 
-install-util:	install-arse
+install-util:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/s9help.scm >$(BINDIR)/s9help
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
@@ -139,22 +141,7 @@
 		  $(BINDIR)/scm2html	\
 		  $(BINDIR)/scmpp
 
-arse-core.image: contrib/arse.scm ext/unix.scm ext/curses.scm
-	rm -f arse-core.image
-	$(BUILD_ENV) ./s9 !arse-core -n -l ext/unix.scm -l ext/curses.scm \
-		-l contrib/arse.scm -d arse-core.image
-
-install-arse: arse-core.image
-	cp arse-core.image $(LIBDIR)
-	cp contrib/arse.help $(LIBDIR)
-	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
-	    -e "s|^#! \(.*\)/s9|#! \1/arse-core|"	\
-	    -e '/arse.scm"/d' \
-		<prog/arse1.scm >$(BINDIR)/arse
-	ln -fs $(BINDIR)/s9 $(BINDIR)/arse-core
-	-chmod +x $(BINDIR)/arse
-
-install-programs:
+install-progs:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/advgen.scm >$(BINDIR)/advgen
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
@@ -188,16 +175,19 @@
 	-rmdir $(MANDIR)
 
 deinstall-util:
-	rm -f $(BINDIR)/arse		\
-	      $(BINDIR)/s9help		\
+	rm -f $(BINDIR)/s9help		\
 	      $(BINDIR)/s9resolve	\
 	      $(BINDIR)/scm2html	\
 	      $(BINDIR)/scmpp
 
-deinstall-programs:
+deinstall-progs:
 	rm -f $(BINDIR)/advgen		\
+	      $(BINDIR)/c2html		\
+	      $(BINDIR)/cols		\
 	      $(BINDIR)/dupes		\
+	      $(BINDIR)/edoc		\
 	      $(BINDIR)/htmlify		\
+	      $(BINDIR)/s9hts		\
 	      $(BINDIR)/soccat
 
 tabs:
@@ -207,7 +197,7 @@
 	s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image test.image arse-core.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image test.image s9.1.gz *.o *.core \
 		CATEGORIES.html core s9fes.tgz __testfile__ 
 
 new-version:
@@ -244,7 +234,7 @@
 		-t "The Quest for S9fES" \
 		-y s9.css \
 		prog/adventure.adv
-	cp MASCOT.jpg util/s9.css advdump
+	cp MASCOT.png util/s9.css advdump
 
 csums:
 	txsum -u <_checksums >_checksums.new

=== debian/changelog ===
scheme9 (2012.07.10-2) unstable; urgency=low

  * quilt patch for Makefile to not disregard passed CFLAGS, as needed
    for, e.g., hardened builds (closes: #681488)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Jul 2012 19:56:24 +0100

scheme9 (2012.07.10-1) unstable; urgency=low

  * New Upstream Version
  * bump standards version (debian/control)
  * dh 9 (debian/compat, debian/control)
  * update quilt patches
  * patch for library used in hardened build

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Jul 2012 12:00:13 +0100

## scheme9 2012.11.01

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,6 @@
 # Options to be added to $(DEFS)
 #	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
 #	-DNO_SIGNALS		# disable POSIX signal handlers
-#	-DLIBRARY="\"file\""	# default library source file
 #	-DDEFAULT_LIBRARY_PATH="\"dir:...\""
 #				# default search path for LOCATE-FILE
 #	-DNETWORK		# include socket code in the Unix extension
@@ -99,12 +98,7 @@
 test.image:	s9 s9.scm s9-real.scm
 	$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -d test.image
 
-tests:
-	make test
-	make realtest
-	make srtest
-	make libtest
-	make systest
+tests: test realtest srtest libtest systest
 
 install:	install-s9 install-util
 
@@ -124,8 +118,8 @@
 	install $C -m 0644 contrib/* $(LIBDIR)
 	install $C -m 0644 s9.1.gz $(MANDIR)
 	install $C -m 0644 help/* $(LIBDIR)/help
-	install $C -m 0755 util/make-help-links $(LIBDIR)/help
-	(cd $(LIBDIR)/help && ./make-help-links && rm make-help-links)
+	install $C -m 0755 util/make-help-links $(LIBDIR)
+	(cd $(LIBDIR) && ./make-help-links && rm make-help-links)
 
 install-util:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\

## scheme9 2012.11.30

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,16 @@
 
 # Change at least this line:
 PREFIX= /u
+
+# Override default compiler and flags
+CC=	gcc
+CFLAGS=	-g -Wall -ansi -pedantic -O2
+
+# Uncomment the following, if you get "wrong interpreter" errors on OSX
+#LDFLAGS+=	-Wl,-no_pie
+
+# Which OS are we using (unix or plan9)?
+OSDEF=	-Dunix
 
 # Uncomment these to include the Unix extensions
 EXTRA_SCM+=	-l ext/unix.scm
@@ -18,47 +28,43 @@
 EXTRA_INIT+=	curs_init();
 EXTRA_LIBS+=	-lcurses
 
-# Uncomment this and define BIG_REAL below to include
+# Uncomment this and add REALNUM to DEFS (below) to include
 # real number arithmetics
 EXTRA_SCM+=	-l s9-real.scm
 
-# Set up environment to be used during the build process
-BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
-
-# Override default compiler and flags
-CC=	gcc
-CFLAGS=	-g -Wall -ansi -pedantic -O2
+# Options to be added to $(DEFS)
+#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
+#	-DNO_SIGNALS		# disable POSIX signal handlers
+#	-DREALNUM		# enable real number arithmetics
+#				# (requires "s9-real.scm" EXTRA_SCM, above)
+#	-DDEFAULT_LIBRARY_PATH="\"dir:...\""
+#				# default search path for LOCATE-FILE
+#	-DNETWORK		# include socket code in the Unix extension
+#	-DCURSES_COLOR		# enable the CURS:SET-COLOR primitive
+#	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
+#				# (requires the Curses extension)
+
+DEFS=	$(OSDEF) \
+	-DDEFAULT_LIBRARY_PATH="\".:~/s9fes:$(LIBDIR)\"" \
+	-DEXTENSIONS="$(EXTRA_INIT)" \
+	-DREALNUM \
+	-DNETWORK \
+	-DCURSES_COLOR \
+	-DCURSES_RESET
 
 # Where to install the stuff
 BINDIR=	$(PREFIX)/bin
 LIBDIR=	$(PREFIX)/share/s9fes
 MANDIR=	$(PREFIX)/man/man1
 
-# Which OS are we using (unix or plan9)?
-OSDEF=	-Dunix
-
-# Options to be added to $(DEFS)
-#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
-#	-DNO_SIGNALS		# disable POSIX signal handlers
-#	-DDEFAULT_LIBRARY_PATH="\"dir:...\""
-#				# default search path for LOCATE-FILE
-#	-DNETWORK		# include socket code in the Unix extension
-#	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
-#				# (*requires* the Curses extension)
-#	-DBIG_REAL		# Enable big real arithmetics
-#				# (requires "s9-real.scm" EXTRA_SCM, above)
-
-DEFS=	$(OSDEF) \
-	-DDEFAULT_LIBRARY_PATH="\".:~/s9fes:$(LIBDIR)\"" \
-	-DEXTENSIONS="$(EXTRA_INIT)" \
-	-DNETWORK -DCURSES_RESET \
-	-DBIG_REAL
+# Set up environment to be used during the build process
+BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
 
 all:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
 		lib/matcher.scm
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
-	$(CC) -o s9 s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
+	$(CC) -o s9 $(LDFLAGS) s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
 
 s9.o:	s9.c s9-real.c s9.h
 	$(CC) -o s9.o $(CFLAGS) $(DEFS) -c s9.c
@@ -86,8 +92,8 @@
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
 
-systest:	s9 s9.image
-	$(BUILD_ENV) ./s9 -f util/systest.scm
+systest:	s9 test.image
+	$(BUILD_ENV) ./s9 -i test -f util/systest.scm
 
 srtest:	s9 test.image
 	$(BUILD_ENV) ./s9 -i test -f util/srtest.scm
@@ -96,7 +102,7 @@
 	$(BUILD_ENV) ./s9 -i test -f util/realtest.scm
 
 test.image:	s9 s9.scm s9-real.scm
-	$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -d test.image
+	$(BUILD_ENV) ./s9 -i - -n $(EXTRA_SCM) -d test.image
 
 tests: test realtest srtest libtest systest
 
@@ -188,11 +194,11 @@
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
 cd:
-	s9 -f util/check-descr.scm
+	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image test.image s9.1.gz *.o *.core \
-		CATEGORIES.html core s9fes.tgz __testfile__ 
+	rm -f s9 s9.image s9e.image test.image s9.1.gz *.o *.core \
+		CATEGORIES.html HACKING.html core s9fes.tgz __testfile__ 
 
 new-version:
 	vi edoc/s9.c.edoc CHANGES
@@ -206,7 +212,7 @@
 		util/categories.html
 	clear
 	@echo "Now copy the new help pages from help-new to help"
-	@echo "and run (cd help; ../util/make-help-links)."
+	@echo "and run util/make-help-links."
 
 s9.1.txt:	s9.1
 	cc -o rpp util/rpp.c
@@ -219,16 +225,20 @@
 webdump:
 	util/make-html
 
-advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro \
-		prog/adventure.imprint
-	 prog/advgen.scm -rv \
+advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
+	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
+	prog/advgen.scm -rv \
 		-P terminal:session \
-		-e prog/adventure.imprint \
+		-p pagehead \
+		-e util/pagetail \
 		-i prog/adventure.intro \
 		-t "The Quest for S9fES" \
 		-y s9.css \
 		prog/adventure.adv
-	cp MASCOT.png util/s9.css advdump
+	rm -f pagehead
+	cp MASCOT.png advdump
+	sed -e 's/^A:link/A/' -e '/^A:visited/,+3d' \
+		<util/s9.css >advdump/s9.css
 
 csums:
 	txsum -u <_checksums >_checksums.new

## scheme9 2012.12.17

=== debian/changelog ===
scheme9 (2012.12.17-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Dec 2012 09:56:02 +0000

scheme9 (2012.11.30-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Dec 2012 15:59:35 +0000

scheme9 (2012.11.01-1) unstable; urgency=low

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Nov 2012 14:05:18 +0000

## scheme9 2013.01.09

=== Makefile ===
--- 
+++ 
@@ -60,8 +60,12 @@
 # Set up environment to be used during the build process
 BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
 
-all:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
+default:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
 		lib/matcher.scm
+
+all:	default s9e
+
+s9e:	s9e-core.image
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
 	$(CC) -o s9 $(LDFLAGS) s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
@@ -71,8 +75,7 @@
 
 
 s9.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm config.scm
-	rm -f s9.image && \
-		$(BUILD_ENV) ./s9 -n $(EXTRA_SCM) -l config.scm -d s9.image
+	$(BUILD_ENV) ./s9 -i - -n $(EXTRA_SCM) -l config.scm -d s9.image
 
 s9.1.gz:	s9.1
 	sed -e "s,@LIBDIR@,$(LIBDIR)," <s9.1 |gzip -9 >s9.1.gz
@@ -83,6 +86,12 @@
 curses.o:	ext/curses.c s9.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c
 
+s9e-core.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm \
+		contrib/s9e.scm
+	$(BUILD_ENV) ./s9 -i - -n -l ext/unix.scm -l ext/curses.scm \
+		-l ext/parse-optionsb.scm -l contrib/s9e.scm \
+		-d s9e-core.image
+
 lint:
 	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
 
@@ -107,6 +116,8 @@
 tests: test realtest srtest libtest systest
 
 install:	install-s9 install-util
+
+install-all:	install-s9 install-util install-s9e install-progs
 
 # old version of install(1) may need -c
 #C=-c
@@ -141,6 +152,13 @@
 		  $(BINDIR)/scm2html	\
 		  $(BINDIR)/scmpp
 
+install-s9e:	s9e-core.image
+	ln -fs $(BINDIR)/s9 $(BINDIR)/s9e-core
+	install $C -m 0644 s9e-core.image $(LIBDIR)
+	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
+		<prog/s9e1.scm >$(BINDIR)/s9e
+	-chmod +x $(BINDIR)/s9e
+
 install-progs:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/advgen.scm >$(BINDIR)/advgen
@@ -167,7 +185,11 @@
 		  $(BINDIR)/s9hts	\
 		  $(BINDIR)/soccat
 
-deinstall:
+deinstall:	deinstall-s9 deinstall-util
+
+deinstall-all:	deinstall-s9 deinstall-util deinstall-s9e deinstall-progs
+
+deinstall-s9:
 	rm -f $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
 	rm -f $(LIBDIR)/* && rmdir $(LIBDIR)
 	rm -f $(BINDIR)/s9
@@ -190,6 +212,10 @@
 	      $(BINDIR)/s9hts		\
 	      $(BINDIR)/soccat
 
+deinstall-s9e:
+	rm -f $(BINDIR)/s9e-core	\
+	      $(LIBDIR)/s9e-core.image
+
 tabs:
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
@@ -197,7 +223,7 @@
 	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image s9e.image test.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image s9e-core.image test.image s9.1.gz *.o *.core \
 		CATEGORIES.html HACKING.html core s9fes.tgz __testfile__ 
 
 new-version:

=== debian/changelog ===
scheme9 (2013.01.09-2) unstable; urgency=low

  * Add s9 prefix to names of generically named binaries:
    - /usr/bin/advgen	to /usr/bin/s9advgen
    - /usr/bin/c2html	to /usr/bin/s9c2html (closes: #697901)
    - /usr/bin/cols	to /usr/bin/s9cols
    - /usr/bin/dupes	to /usr/bin/s9dupes
    - /usr/bin/edoc	to /usr/bin/s9edoc
    - /usr/bin/htmlify	to /usr/bin/s9htmlify
    - /usr/bin/scm2html	to /usr/bin/s9scm2html
    - /usr/bin/scmpp	to /usr/bin/s9scmpp
    - /usr/bin/soccat	to /usr/bin/s9soccat

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Jan 2013 09:06:11 +0000

scheme9 (2013.01.09-1) unstable; urgency=low

  * New Upstream Version
  
 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jan 2013 15:05:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: lisp
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://t3x.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git

## scheme9 2013.11.26

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,10 @@
 CC=	gcc
 CFLAGS=	-g -Wall -ansi -pedantic -O2
 
-# Uncomment the following, if you get "wrong interpreter" errors on OSX
+# You may try one of the following, if you get "wrong interpreter" errors
 #LDFLAGS+=	-Wl,-no_pie
+#LDFLAGS+=	-no_pie
+#LDFLAGS+=	-fno_pie
 
 # Which OS are we using (unix or plan9)?
 OSDEF=	-Dunix

=== debian/changelog ===
scheme9 (2013.11.26-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Bump standards version (no changes required)
    - Update debian repo urls
  * Update quilt patches
    - forward-port patches (tiny change to comment in context of diff)
    - gbp-pq import/export
    - add patch for fread status

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 17 Jan 2014 10:26:40 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: debhelper (>= 9),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://t3x.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/scheme9.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme9.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9
 Architecture: any

## scheme9 2014.01.11

=== Makefile ===
--- 
+++ 
@@ -244,7 +244,7 @@
 
 s9.1.txt:	s9.1
 	cc -o rpp util/rpp.c
-	nroff s9.1 | ./rpp -a >s9.1.txt
+	nroff -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
 docs:	lib ext contrib
@@ -277,3 +277,12 @@
 
 stripped-arc:	clean s9.1.txt
 	mv Makefile Makefile.ORIG
+	sed -e '/^#EDOC/,/^#CODE/d' <Makefile.ORIG >Makefile
+	cd .. && tar -cf - --exclude edoc --exclude freebsd-port s9 | \
+		gzip -9 > s9fes.tgz && mv s9fes.tgz s9
+	mv -f Makefile.ORIG Makefile
+	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'
+
+arc:	clean s9.1.txt
+	cd .. && tar cf - s9 | gzip -9 > s9fes.tgz && mv s9fes.tgz s9
+	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'

=== debian/changelog ===
scheme9 (2014.01.11-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Apr 2014 21:39:20 +0100

=== debian/watch ===
version=3
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tar\.gz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)(.+)\.tar\.gz

## This runs the check for the current version.
# eval $(tail -5 debian/watch | sed 's/^#//' | sed 's/\\$//')

## This checks for the current version.
# wget --quiet -O- http://www.t3x.org/s9fes/s9fes.tgz \
#  | tar -zxf - --to-stdout s9/s9.c \
#  | egrep '^ *[#]define +VERSION' \
#  | sed 's/^ *[#]define  *VERSION  *//' \
#  | tr -d '"'

## scheme9 2014.08.04

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,19 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2012
+# By Nils M Holm, 2007-2014
 # Placed in the Public Domain.
 
 # Change at least this line:
 PREFIX= /u
 
+# Base version and Release
+BASE=		20140708
+RELEASE=	20140804
+
 # Override default compiler and flags
-CC=	gcc
+# CC=	cc
 CFLAGS=	-g -Wall -ansi -pedantic -O2
-
-# You may try one of the following, if you get "wrong interpreter" errors
-#LDFLAGS+=	-Wl,-no_pie
-#LDFLAGS+=	-no_pie
-#LDFLAGS+=	-fno_pie
+EDOC=	prog/edoc.scm.edoc
 
 # Which OS are we using (unix or plan9)?
 OSDEF=	-Dunix
@@ -28,7 +28,7 @@
 EXTRA_SCM+=	-l ext/curses.scm
 EXTRA_OBJS+=	curses.o
 EXTRA_INIT+=	curs_init();
-EXTRA_LIBS+=	-lcurses
+EXTRA_LIBS+=	-lncurses
 
 # Uncomment this and add REALNUM to DEFS (below) to include
 # real number arithmetics
@@ -63,11 +63,9 @@
 BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
 
 default:	s9 s9.image s9.1.gz s9.1.txt lib/syntax-rules.scm \
-		lib/matcher.scm
-
-all:	default s9e
-
-s9e:	s9e-core.image
+		lib/matcher.scm contrib/bottles.scm
+
+all:	default
 
 s9:	s9.o s9.h $(EXTRA_OBJS)
 	$(CC) -o s9 $(LDFLAGS) s9.o $(EXTRA_OBJS) $(EXTRA_LIBS)
@@ -88,14 +86,8 @@
 curses.o:	ext/curses.c s9.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c
 
-s9e-core.image:	s9 s9.scm s9-real.scm ext/unix.scm ext/curses.scm \
-		contrib/s9e.scm
-	$(BUILD_ENV) ./s9 -i - -n -l ext/unix.scm -l ext/curses.scm \
-		-l ext/parse-optionsb.scm -l contrib/s9e.scm \
-		-d s9e-core.image
-
 lint:
-	gcc -g -Wall -ansi -pedantic s9.c && rm a.out
+	cc -g -Wall -ansi -pedantic -O3 s9.c && rm a.out
 
 test:	s9 test.image
 	$(BUILD_ENV) ./s9 -i test -f util/test.scm
@@ -103,7 +95,7 @@
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
 
-systest:	s9 test.image
+systest:	s9 test.image s9.image
 	$(BUILD_ENV) ./s9 -i test -f util/systest.scm
 
 srtest:	s9 test.image
@@ -119,7 +111,7 @@
 
 install:	install-s9 install-util
 
-install-all:	install-s9 install-util install-s9e install-progs
+install-all:	install-s9 install-util install-progs
 
 # old version of install(1) may need -c
 #C=-c
@@ -154,13 +146,6 @@
 		  $(BINDIR)/scm2html	\
 		  $(BINDIR)/scmpp
 
-install-s9e:	s9e-core.image
-	ln -fs $(BINDIR)/s9 $(BINDIR)/s9e-core
-	install $C -m 0644 s9e-core.image $(LIBDIR)
-	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
-		<prog/s9e1.scm >$(BINDIR)/s9e
-	-chmod +x $(BINDIR)/s9e
-
 install-progs:
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/advgen.scm >$(BINDIR)/advgen
@@ -171,7 +156,7 @@
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/dupes.scm >$(BINDIR)/dupes
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
-		<prog/edoc.scm >$(BINDIR)/edoc
+		<prog/edoc.scm.edoc >$(BINDIR)/edoc
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
 		<prog/htmlify.scm >$(BINDIR)/htmlify
 	sed -e "s|^#! /usr/local|#! $(PREFIX)|"	\
@@ -189,7 +174,7 @@
 
 deinstall:	deinstall-s9 deinstall-util
 
-deinstall-all:	deinstall-s9 deinstall-util deinstall-s9e deinstall-progs
+deinstall-all:	deinstall-s9 deinstall-util deinstall-progs
 
 deinstall-s9:
 	rm -f $(LIBDIR)/help/* && rmdir $(LIBDIR)/help
@@ -214,10 +199,6 @@
 	      $(BINDIR)/s9hts		\
 	      $(BINDIR)/soccat
 
-deinstall-s9e:
-	rm -f $(BINDIR)/s9e-core	\
-	      $(LIBDIR)/s9e-core.image
-
 tabs:
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
@@ -225,8 +206,9 @@
 	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image s9e-core.image test.image s9.1.gz *.o *.core \
-		CATEGORIES.html HACKING.html core s9fes.tgz __testfile__ 
+	rm -f s9 s9.image test.image s9.1.gz *.o *.core \
+		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
+		s9fes-$(BASE).tgz __testfile__ 
 
 new-version:
 	vi edoc/s9.c.edoc CHANGES
@@ -238,7 +220,8 @@
 	vi util/make-help-links \
 		util/descriptions \
 		util/categories.html
-	clear
+	cd help && s9 -f ../util/procedures.scm >INDEX
+	@echo
 	@echo "Now copy the new help pages from help-new to help"
 	@echo "and run util/make-help-links."
 
@@ -275,14 +258,16 @@
 mksums:	clean
 	find . -type f | grep -v _checksums | txsum -m >_checksums
 
-stripped-arc:	clean s9.1.txt
+dist:	clean s9.1.txt
 	mv Makefile Makefile.ORIG
 	sed -e '/^#EDOC/,/^#CODE/d' <Makefile.ORIG >Makefile
 	cd .. && tar -cf - --exclude edoc --exclude freebsd-port s9 | \
-		gzip -9 > s9fes.tgz && mv s9fes.tgz s9
+			gzip -9 > s9fes-$(RELEASE).tgz && \
+		mv s9fes-$(RELEASE).tgz s9
 	mv -f Makefile.ORIG Makefile
-	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'
+	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
 arc:	clean s9.1.txt
-	cd .. && tar cf - s9 | gzip -9 > s9fes.tgz && mv s9fes.tgz s9
-	ls -l s9fes.tgz | awk '{print int($$5/1024+.5)}'
+	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \
+		mv s9fes-$(BASE).tgz s9
+	ls -l s9fes-$(BASE).tgz | awk '{print int($$5/1024+.5)}'

=== debian/changelog ===
scheme9 (2014.08.04-1) unstable; urgency=medium

  * New Upstream Version
  * Install support files into package-specific directories

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 13 Aug 2014 22:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
 Standards-Version: 3.9.5
-Homepage: http://t3x.org/
+Homepage: http://www.t3x.org/s9fes/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

mflags=prefix=/usr mandir=/usr/share/man

override_dh_auto_build:
	dh_auto_build -- $(mflags) all

override_dh_auto_install:
	dh_auto_install -- $(mflags) install-all
	echo "Rename binaries to avoid namespace pollution and collisions"
	cd debian/scheme9/usr/bin && \
	 for f in advgen c2html cols dupes edoc htmlify scm2html scmpp soccat; do \
	  mv --verbose $$f s9$$f || true; \
	 done

=== debian/watch ===
version=3
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)(.+)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz

## scheme9 2014.12.06

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20140708
-RELEASE=	20140804
+RELEASE=	20141206
 
 # Override default compiler and flags
 # CC=	cc
@@ -19,7 +19,7 @@
 OSDEF=	-Dunix
 
 # Uncomment these to include the Unix extensions
-EXTRA_SCM+=	-l ext/unix.scm
+EXTRA_SCM+=	-l ext/unix.scm -l ext/unix-tools.scm
 EXTRA_OBJS+=	unix.o
 EXTRA_INIT+=	sys_init();
 EXTRA_LIBS+=
@@ -227,14 +227,14 @@
 
 s9.1.txt:	s9.1
 	cc -o rpp util/rpp.c
-	nroff -mdoc s9.1 | ./rpp -a >s9.1.txt
+	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
 docs:	lib ext contrib
 	util/make-docs
 
 webdump:
-	util/make-html
+	util/make-html -r $(RELEASE)
 
 advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
 	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
@@ -252,11 +252,11 @@
 		<util/s9.css >advdump/s9.css
 
 csums:
-	txsum -u <_checksums >_checksums.new
+	csum -u <_checksums >_checksums.new
 	mv _checksums.new _checksums
 
 mksums:	clean
-	find . -type f | grep -v _checksums | txsum -m >_checksums
+	find . -type f | grep -v _checksums | csum >_checksums
 
 dist:	clean s9.1.txt
 	mv Makefile Makefile.ORIG

=== debian/changelog ===
scheme9 (2014.12.06-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Dec 2014 21:55:20 +0000

scheme9 (2014.11.05-1) unstable; urgency=medium

  * New Upstream Version
  * Bump standards version (no changes required)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 19 Nov 2014 23:36:34 +0000
